> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rad.security/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the details of a configured integration



## OpenAPI

````yaml /api-reference/openapi.yaml get /tenants/{tenant_id}/integrations/external/{integration_id}
openapi: 3.0.0
info:
  description: |
    The RAD Security API specification
  title: RAD Security API Spec
  version: 0.0.21
servers:
  - url: https://api.prd.rad.security
security: []
tags:
  - name: integrations
    x-displayName: Integrations
  - name: documents
    x-displayName: Documents
  - name: collections
    x-displayName: Collections
  - name: public
    x-displayName: public
  - name: Knowledge Base
    x-displayName: Knowledge Base
paths:
  /tenants/{tenant_id}/integrations/external/{integration_id}:
    get:
      tags:
        - integrations
      summary: Get the details of a configured integration
      operationId: GetExternalIntegration
      parameters:
        - $ref: '#/components/parameters/tenantIDParam'
        - $ref: '#/components/parameters/integrationIDParam'
      responses:
        '200':
          description: Integration details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Integration'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APIError'
components:
  parameters:
    tenantIDParam:
      name: tenant_id
      in: path
      description: RAD tenant ID
      required: true
      schema:
        type: string
    integrationIDParam:
      name: integration_id
      in: path
      description: Integration ID
      required: true
      schema:
        type: string
  schemas:
    Integration:
      description: The common parameters for an external integration
      type: object
      required:
        - id
        - name
        - type
        - config
      properties:
        id:
          description: The unique ID of the integration
          type: string
        name:
          description: Name of the integration for disambiguation
          type: string
        type:
          $ref: '#/components/schemas/IntegrationType'
          description: The type of the integration
        config:
          description: Integration specific extra configuration, e.g. webhook URLs
          type: object
    APIError:
      properties:
        code:
          type: string
        request_id:
          type: string
        status:
          type: integer
        validation_details:
          items:
            $ref: '#/components/schemas/ValidationDetail'
          type: array
      type: object
      required:
        - status
    IntegrationType:
      description: The type of external integrations
      type: string
      enum:
        - jira-cloud
        - splunk
        - qualys
        - microsoft-defender
        - crowdstrike-falcon-insight
        - crowdstrike-falcon-spotlight
        - sentinelone-singularity
        - sophos-endpoint
        - tanium-edr
        - malwarebytes-threatdown
        - crowdstrike-falcon-nextgen-siem
        - rapid7-insightvm
        - rapid7-insightidr
        - tenable-vm
        - okta-identity
        - microsoft-entra-id
        - google-workspace
        - notion-internal-app
        - slack-oauth
        - mock-crowdstrike-falcon-insight
        - mock-crowdstrike-falcon-spotlight
        - mock-siem
    ValidationDetail:
      properties:
        code:
          type: string
        field:
          type: string
        message:
          type: string
        param:
          type: string
      type: object
      required:
        - code
        - field
        - message

````